# TCLab for BeagleBone Black 

## Introduction

The Temperature Control Laboratory (TCLab) is an application of feedback control with BeagleBone Black. The project consists of several parts, but we will focus first on the hardware and PCB design.

## PCB Design

El diseño de la PCB se realizó en el software ´LibrePCB´ version ´1.3.0´ en donde se tuvieron de crear dos bibliotecas propias para componentes (DC Barrel jack y Transistor TIP31C), que no se encontraban predeterminados dentro del software.

### Create Libraty Elements

La creación de bibliotecas no es tan dificil y saber hacerlo tiene la ventaja de poder copiar el diseño del simbolo, encapsulado o pads de otros componentes para crear una nueva biblioteca de cualquier otro componente electrónico. A continuación muestro los pasos para hacerlo.

* Open ´My Library´ in the library manager

![Workspace Library Manager](library-manager-open-editor.PNG)

* The [New Library Element] toolbutton (or ´Ctrl´+´N´) in the library editor is the entry point for every new library element. There you can choose what kind of library element you want to create:

![New Library Element](library-editor-new-element.PNG)

#### Concept Overview

A library consists of several different elements:

*Component Category*
    These are basically "metadata-only" elements used to categorize the "real" library elements in a category tree.
*Symbol*
    A symbol is the graphical representation of a component (or parts of it) in a schematic. It consists of electrical pins and graphical objects like lines.
*Component*
    A component basically represent a "generic" kind of electrical part. it's not a real part which you can buy, it's just theoretical.
*Package Category*
    Exactly the same as the component category, but for packages instead of components.
*Package*
    As the name suggests, package represent the mechanical part of a "real" electronic part. it contains the footprint with their electrical pads and graphical objects which is then added to boards.
*Device*
    The device now represent a real electronic part which you can buy.